Copy Multiple Command

Discussion in 'AutoCAD' started by Daniel Blake, Jul 19, 2004.

  1. Daniel Blake

    Daniel Blake Guest

    Hi everyone - I am trying to make C invoke copy multiple command
    instead of just normal copy.

    How do I do this - PGP or Lisp ??

    Regards
    DB
     
    Daniel Blake, Jul 19, 2004
    #1
  2. Daniel Blake

    kendresen Guest

    Make a lisp from this and than change your pgp file to make c=cm

    (defun c:cm (/ obj basept pt)
    (setvar "cmdecho" 0)
    (prompt "\nSelect objects to copy...")
    (setq obj (ssget))
    (setq basept (getpoint "\Specify base point or displacement..."))
    (while (setq pt (getpoint basept "\Specify second point of displacement <OR> ENTER to exit..."))
    (command "COPY" obj "" basept pt)
    )
    (setvar "cmdecho" 1)
    (princ)
    )
     
    kendresen, Jul 19, 2004
    #2
  3. Use a simple menu macro

    ^C^Cselect;auto /Copy;p;;m



    | Hi everyone - I am trying to make C invoke copy multiple command
    | instead of just normal copy.
    |
    | How do I do this - PGP or Lisp ??
    |
    | Regards
    | DB
    |
    |
     
    Andrew NIELSEN, Jul 19, 2004
    #3
  4. Daniel Blake

    Tom Smith Guest

    Make a lisp from this and than change your pgp file to make c=cm

    What's wrong with having both c and cm available? I use both. Each is good
    in particular situations.

    I have "multiple" versions of several commands, each with a alias ending in
    m.
     
    Tom Smith, Jul 19, 2004
    #4
  5. Daniel Blake

    Tom Smith Guest

    ... and if you plan on upgrading to R2004 or higher anytime soon, it's
    built in by default to do multiple.

    Huh? My 2004 acts the same as always, the multiple option requires hitting
    an M.
     
    Tom Smith, Jul 19, 2004
    #5
  6. Daniel Blake

    C Witt Guest

    that option is 2K5 only.. (the undefine command is great to get rid of
    it ;> )
     
    C Witt, Jul 19, 2004
    #6
  7. Daniel Blake

    ECCAD Guest

    To just type 'C' to do it all, change:
    (defun c:cm (/ obj basept pt)
    To:
    (defun c:c (/ obj basept pt)
    And, add this whole routine to your acaddoc.lsp file.

    Bob
     
    ECCAD, Jul 19, 2004
    #7
  8. Daniel Blake

    user Guest

    or use the express (bonus) tools mcopy
     
    user, Jul 20, 2004
    #8
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.